Package org.springframework.core.annotation

# Class AnnotatedMethod.AnnotatedMethodParameter

java.lang.Object
org.springframework.core.MethodParameter
org.springframework.core.annotation.SynthesizingMethodParameter
org.springframework.core.annotation.AnnotatedMethod.AnnotatedMethodParameter

Enclosing class:
  AnnotatedMethod

protected class AnnotatedMethod.AnnotatedMethodParameter extends SynthesizingMethodParameter
A MethodParameter with AnnotatedMethod-specific behavior.

## Constructor Summary

Constructors
Modifier
Constructor
Description
``
`AnnotatedMethodParameter(int index)`
`protected`
`AnnotatedMethodParameter(AnnotatedMethod.AnnotatedMethodParameter original)`

## Method Summary

Modifier and Type
Method
Description
`AnnotatedMethod.AnnotatedMethodParameter`
`clone()`
`Class<?>`
`getContainingClass()`
Return the containing class for this method parameter.
`Method`
`getMethod()`
Return the wrapped Method, if any.
`<T extends Annotation>
T`
`getMethodAnnotation(Class<T> annotationType)`
Return the method/constructor annotation of the given type, if available.
`Annotation[]`
`getParameterAnnotations()`
Return the annotations associated with the specific method/constructor parameter.
`<T extends Annotation>
boolean`
`hasMethodAnnotation(Class<T> annotationType)`
Return whether the method/constructor is annotated with the given type.

### Methods inherited from class org.springframework.core.annotation.SynthesizingMethodParameter

`adaptAnnotation, adaptAnnotationArray, forExecutable, forParameter`

### Methods inherited from class org.springframework.core.MethodParameter

`decreaseNestingLevel, equals, findParameterIndex, forFieldAwareConstructor, forMethodOrConstructor, getAnnotatedElement, getConstructor, getDeclaringClass, getExecutable, getGenericParameterType, getMember, getMethodAnnotations, getNestedGenericParameterType, getNestedParameterType, getNestingLevel, getParameter, getParameterAnnotation, getParameterIndex, getParameterName, getParameterType, getTypeIndexForCurrentLevel, getTypeIndexForLevel, hashCode, hasParameterAnnotation, hasParameterAnnotations, increaseNestingLevel, initParameterNameDiscovery, isOptional, nested, nested, nestedIfOptional, setTypeIndexForCurrentLevel, toString, withContainingClass, withTypeIndex`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AnnotatedMethodParameter

public AnnotatedMethodParameter(int index)

### AnnotatedMethodParameter

protected AnnotatedMethodParameter(AnnotatedMethod.AnnotatedMethodParameter original)

## Method Details

### getMethod

@NonNull public Method getMethod()
Description copied from class: `MethodParameter`
Return the wrapped Method, if any.

Note: Either Method or Constructor is available.

Overrides:
  `getMethod` in class `MethodParameter`
Returns:
  the Method, or `null` if none

### getContainingClass

public Class<?> getContainingClass()
Description copied from class: `MethodParameter`
Return the containing class for this method parameter.

Overrides:
  `getContainingClass` in class `MethodParameter`
Returns:
  a specific containing class (potentially a subclass of the declaring class), or otherwise simply the declaring class itself
See Also:
  - `MethodParameter.getDeclaringClass()`

### getMethodAnnotation

@Nullable public <T extends Annotation> T getMethodAnnotation(Class<T> annotationType)
Description copied from class: `MethodParameter`
Return the method/constructor annotation of the given type, if available.

Overrides:
  `getMethodAnnotation` in class `MethodParameter`
Parameters:
  `annotationType` - the annotation type to look for
Returns:
  the annotation object, or `null` if not found

### hasMethodAnnotation

public <T extends Annotation> boolean hasMethodAnnotation(Class<T> annotationType)
Description copied from class: `MethodParameter`
Return whether the method/constructor is annotated with the given type.

Overrides:
  `hasMethodAnnotation` in class `MethodParameter`
Parameters:
  `annotationType` - the annotation type to look for
See Also:
  - `MethodParameter.getMethodAnnotation(Class)`

### getParameterAnnotations

public Annotation[] getParameterAnnotations()
Description copied from class: `MethodParameter`
Return the annotations associated with the specific method/constructor parameter.

Overrides:
  `getParameterAnnotations` in class `MethodParameter`

### clone

public AnnotatedMethod.AnnotatedMethodParameter clone()

Overrides:
  `clone` in class `SynthesizingMethodParameter`